commit:     2c31ec0df16b18a1032c0fe154a43da8b7bf54da
Author:     Matt Jolly <Matt.Jolly <AT> footclan <DOT> ninja>
AuthorDate: Fri May 13 12:19:41 2022 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed May 18 15:29:59 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2c31ec0d

sys-boot/refind: add 0.13.3.1

Signed-off-by: Matt Jolly <Matt.Jolly <AT> footclan.ninja>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 sys-boot/refind/Manifest               |   1 +
 sys-boot/refind/metadata.xml           |  14 ++--
 sys-boot/refind/refind-0.13.3.1.ebuild | 140 +++++++++++++++++++++++++++++++++
 3 files changed, 147 insertions(+), 8 deletions(-)

diff --git a/sys-boot/refind/Manifest b/sys-boot/refind/Manifest
index 99f58f7bb053..402f95579a42 100644
--- a/sys-boot/refind/Manifest
+++ b/sys-boot/refind/Manifest
@@ -1,3 +1,4 @@
 DIST refind-src-0.11.4.tar.gz 3812192 BLAKE2B 
7219eeffffb63961a7ba8f7617546a12021cfe80df80a83c4dbd47cd40b0d8afbdc510abb44de3029ff15ed49372bd59e0b156f4c27eab3ef7bd6ccc3c7e02db
 SHA512 
529962ae432edaf1895ba98deb00a23c66bd742578e1a367f70f7ed22dd7be7daf1960df8af410fba79ca775169120499a4c10119331b2b12b55a002d4354de1
 DIST refind-src-0.12.0.tar.gz 3898337 BLAKE2B 
1197049fb7d91db64135dafda7488bdb1da4997ce6a6d49dfe635526240e3193d8c7c22597aee0f2d6754ce6061b4127d8aa21d43c9f061501de98e25de609d3
 SHA512 
3ade9642d7acf31097daa5308acb96a9fa3371314073b5a09601a886fc30444752efa08ed9fb35e421efb0b4eb9efbccd7b5c9bd6b3b9ed4af74c58f22a74729
 DIST refind-src-0.13.2.tar.gz 4554759 BLAKE2B 
2c3b1daf5fa100dcd4e1c801aa625e269ae9c1a99b567a271d7cdd30f95fa1e041e22984623b9a0e61f8af45966919f4b9f3a5b6c2026271d1bc37c6925f1e70
 SHA512 
e671d44385297295c143824dd95593f2e7bc8e282745d127b041a645aa27003467a3a23f368fd30297f33faa06bd914540d7bdc3c71ec42f6b7a38d7ee8e0ddb
+DIST refind-src-0.13.3.1.tar.gz 4550242 BLAKE2B 
ab8dd27f82954ea6f9831f827550f27b5ca426b7783e918311ba7e178fc3509698a0107f61d0394a7893318528cb3e0c8491f4522de0a4aca6a40e0749f5a6f9
 SHA512 
7966df5dd8dc66cc49a329ed722a567672da8e2fa3f2334d53db65357cea17cba5a4dc5459e358de1079a938da3c63dc626d096ce28b6bf1fa2964be7359dbd1

diff --git a/sys-boot/refind/metadata.xml b/sys-boot/refind/metadata.xml
index 39c685e1f5b5..c4b2438447a5 100644
--- a/sys-boot/refind/metadata.xml
+++ b/sys-boot/refind/metadata.xml
@@ -40,24 +40,22 @@ d'amorçage au moment de l'exécution le rend très facile à 
utiliser, en
 particulier associé à des noyau Linux qui fournissent un support EFI stub.
        </longdescription>
        <use lang="en">
+               <flag name="btrfs">Builds the EFI binary btrfs filesystem 
driver</flag>
                <flag name="ext2">Builds the EFI binary ext2 filesystem 
driver</flag>
                <flag name="ext4">Builds the EFI binary ext4 filesystem 
driver</flag>
-               <flag name="reiserfs">Builds the EFI binary reiserfs filesystem 
driver</flag>
-               <flag name="iso9660">Builds the EFI binary iso9660 filesystem 
driver</flag>
                <flag name="hfs">Builds the EFI binary hfs filesystem 
driver</flag>
-               <flag name="btrfs">Builds the EFI binary btrfs filesystem 
driver</flag>
+               <flag name="iso9660">Builds the EFI binary iso9660 filesystem 
driver</flag>
                <flag name="ntfs">Builds the EFI binary ntfs filesystem 
driver</flag>
-               <flag name="gnuefi">Compile using GNU-EFI instead of 
Tianocore</flag>
+               <flag name="reiserfs">Builds the EFI binary reiserfs filesystem 
driver</flag>
        </use>
        <use lang="fr">
+               <flag name="btrfs">Construire le gestionnaire EFI pour le 
système de fichier btrfs</flag>
                <flag name="ext2">Construire le gestionnaire EFI pour le 
système de fichier ext2</flag>
                <flag name="ext4">Construire le gestionnaire EFI pour le 
système de fichier ext4</flag>
-               <flag name="reiserfs">Construire le gestionnaire EFI pour le 
système de fichier reiserfs</flag>
-               <flag name="iso9660">Construire le gestionnaire EFI pour le 
système de fichier iso9660</flag>
                <flag name="hfs">Construire le gestionnaire EFI pour le système 
de fichier hfs</flag>
-               <flag name="btrfs">Construire le gestionnaire EFI pour le 
système de fichier btrfs</flag>
+               <flag name="iso9660">Construire le gestionnaire EFI pour le 
système de fichier iso9660</flag>
                <flag name="ntfs">Construire le gestionnaire EFI pour le 
système de fichier ntfs</flag>
-               <flag name="gnuefi">Compiler en utilisant GNU-EFI au lieu de 
Tianocore</flag>
+               <flag name="reiserfs">Construire le gestionnaire EFI pour le 
système de fichier reiserfs</flag>
        </use>
        <upstream>
                <remote-id type="sourceforge">refind</remote-id>

diff --git a/sys-boot/refind/refind-0.13.3.1.ebuild 
b/sys-boot/refind/refind-0.13.3.1.ebuild
new file mode 100644
index 000000000000..73f27787890e
--- /dev/null
+++ b/sys-boot/refind/refind-0.13.3.1.ebuild
@@ -0,0 +1,140 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="The UEFI Boot Manager by Rod Smith"
+HOMEPAGE="https://www.rodsbooks.com/refind/";
+SRC_URI="mirror://sourceforge/project/${PN}/${PV}/${PN}-src-${PV}.tar.gz"
+
+LICENSE="BSD GPL-2 GPL-3 FDL-1.3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+FS_USE="btrfs +ext2 +ext4 hfs +iso9660 ntfs reiserfs"
+IUSE="${FS_USE} custom-cflags doc"
+
+DEPEND="sys-boot/gnu-efi"
+
+DOCS=( README.txt )
+
+pkg_pretend() {
+       if use custom-cflags; then
+               ewarn
+               ewarn "You have enabled building with USE=custom-cflags. Be 
aware that"
+               ewarn "using this can result in EFI binaries that fail to run 
and may"
+               ewarn "fail to build at all. This is strongly advised against 
by upstream."
+               ewarn
+               ewarn "See https://bugs.gentoo.org/598587#c3 for more 
information"
+               ewarn
+       fi
+}
+
+pkg_setup() {
+       if use x86; then
+               export EFIARCH=ia32
+               export BUILDARCH=ia32
+       elif use amd64; then
+               export EFIARCH=x64
+               export BUILDARCH=x86_64
+       fi
+}
+
+src_prepare() {
+       default
+
+       # bug 598647 - PIE not supported
+       sed -e '/^CFLAGS/s/$/ -fno-PIE/' -i Make.common || die
+       sed -e '1 i\.NOTPARALLEL:' -i filesystems/Makefile || die
+}
+
+src_compile() {
+       # Update fs targets depending on uses
+       local fs fs_names=()
+       for fs in ${FS_USE}; do
+               fs=${fs#+}
+               if use "${fs}"; then
+                       fs_names+=(${fs})
+               fi
+       done
+       fs_names=("${fs_names[@]/%/_gnuefi}")
+
+       # Prepare flags
+       local make_flags=(
+               ARCH="${BUILDARCH}"
+               CC="$(tc-getCC)"
+               AS="$(tc-getAS)"
+               LD="$(tc-getLD)"
+               AR="$(tc-getAR)"
+               RANLIB="$(tc-getRANLIB)"
+               OBJCOPY="$(tc-getOBJCOPY)"
+               GNUEFILIB="/usr/$(get_libdir)"
+               EFILIB="/usr/$(get_libdir)"
+               EFICRT0="/usr/$(get_libdir)"
+               FILESYSTEMS="${fs_names[*]}"
+               FILESYSTEMS_GNUEFI="${fs_names[*]}"
+       )
+       if use custom-cflags; then
+               make_flags=(CFLAGS="${CFLAGS} 
-fno-tree-loop-distribute-patterns" "${make_flags[@]}")
+       fi
+
+       emake "${make_flags[@]}" all_gnuefi
+}
+
+src_install() {
+       exeinto "/usr/$(get_libdir)/${PN}"
+       doexe refind-install
+       dosym "../$(get_libdir)/${PN}/refind-install" "/usr/sbin/refind-install"
+
+       if use doc; then
+               doman "docs/man/"*
+               DOCS+=(NEWS.txt docs/refind docs/Styles)
+       fi
+       einstalldocs
+
+       insinto "/usr/$(get_libdir)/${PN}/refind"
+       doins "refind/refind_${EFIARCH}.efi"
+       doins "refind.conf-sample"
+       doins -r images icons fonts banners
+
+       if [[ -d "drivers_${EFIARCH}" ]]; then
+               doins -r "drivers_${EFIARCH}"
+       fi
+
+       insinto "/usr/$(get_libdir)/${PN}/refind/tools_${EFIARCH}"
+       doins "gptsync/gptsync_${EFIARCH}.efi"
+
+       insinto "/etc/refind.d"
+       doins -r "keys"
+
+       dosbin "mkrlconf"
+       dosbin "mvrefind"
+       dosbin "refind-mkdefault"
+}
+
+pkg_postinst() {
+       elog "rEFInd has been built and installed into 
${EROOT}/usr/$(get_libdir)/${PN}"
+       elog "You will need to use the command 'refind-install' to install"
+       elog "the binaries into your EFI System Partition"
+       elog ""
+       elog "refind-install requires additional packages to be fully 
functional:"
+       elog " app-crypt/sbsigntools for binary signing for use with SecureBoot"
+       elog " sys-boot/efibootmgr for writing to NVRAM"
+       elog " sys-apps/gptfdisk for ESP management"
+       elog ""
+       elog "refind-mkdefault requires >=dev-lang/python-3"
+       elog ""
+       if [[ -z "${REPLACING_VERSIONS}" ]]; then
+               elog "A sample configuration can be found at"
+               elog 
"${EROOT}/usr/$(get_libdir)/${PN}/refind/refind.conf-sample"
+       else
+               if ver_test "${REPLACING_VERSIONS}" -lt "0.12.0"; then
+                       ewarn "This new version uses sys-apps/gptfdisk instead 
of sys-block/parted"
+                       ewarn "to manage ESP"
+                       ewarn ""
+               fi
+               ewarn "Note that this installation will not update any EFI 
binaries"
+               ewarn "on your EFI System Partition - this needs to be done 
manually"
+       fi
+}

Reply via email to